%global namedreltag .GA
%global namedversion %{version}%{?namedreltag}

Name:             jbossws-parent
Version:          1.1.0
Release:          1%{?dist}
Summary:          JBossWS Parent
Group:            Development/Libraries
License:          LGPLv2+
URL:              http://www.jboss.org/jbossws
Source0:          https://repository.jboss.org/nexus/service/local/repositories/releases/content/org/jboss/ws/jbossws-parent/%{namedversion}/jbossws-parent-%{namedversion}.pom

BuildArch:        noarch

BuildRequires:    jpackage-utils
BuildRequires:    maven
BuildRequires:    maven-compiler-plugin
BuildRequires:    maven-install-plugin
BuildRequires:    maven-jar-plugin
BuildRequires:    maven-javadoc-plugin
BuildRequires:    maven-enforcer-plugin
BuildRequires:    maven-clean-plugin
BuildRequires:    maven-eclipse-plugin
BuildRequires:    maven-war-plugin
BuildRequires:    maven-help-plugin
BuildRequires:    maven-dependency-plugin

Requires:         jpackage-utils
Requires:         java

%description
This package contains the JBossWS Parent

%prep
cp %{SOURCE0} pom.xml

%build
mvn-rpmbuild install javadoc:aggregate

%install
install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}

# POM
install -pm 644 pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-%{name}.pom

# DEPMAP
%add_maven_depmap JPP-%{name}.pom

%files
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*

%changelog
* Mon Oct 08 2012 Marek Goldmann <mgoldman@redhat.com> 1.1.0-1
- Upgrade to 1.1.0.GA

* Tue Oct 02 2012 Marek Goldmann <mgoldman@redhat.com> 1.0.10-1
- Initial packaging

